<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.finance.mapper.InnerDealDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="innerDealDetailResultMap" type="org.springblade.finance.entity.InnerDealDetail">
        <id column="SID" property="sid"/>
        <result column="THEMONTH" property="themonth"/>
        <result column="DEAL_TYPE" property="dealType"/>
        <result column="COMPANY" property="company"/>
        <result column="SPID" property="spid"/>
        <result column="SPNAME" property="spname"/>
        <result column="SPNAME_PRM" property="spnamePrm"/>
        <result column="PRICE" property="price"/>
        <result column="DEAL_PRICE" property="dealPrice"/>
        <result column="USERNUM" property="usernum"/>
        <result column="MONEY" property="money"/>
    </resultMap>


    <select id="selectInnerDealDetailPage" resultMap="innerDealDetailResultMap">
        select * from INNER_DEAL_DETAIL where is_deleted = 0
    </select>

</mapper>
